/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
 
 //
//  MyInvokeListener.m
//  nativeIOSApp
//
//  Created by Shmulik Bardosh on 01/11/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "MyInvokeListener.h"

@implementation MyInvokeListener
- (id)initWithController: (ViewController *) mainView{
    if ( self = [super init] )
    {
        vc = mainView;
    }
    return self;
}

-(void)onSuccess:(WLResponse *)response {
    NSLog(@"Invocation Success: %@", response);
    NSString *resultText = @"Invocation success. ";
    
    if ([response responseText] != nil){
        resultText = [resultText stringByAppendingString:[response responseText]];
    }
    [vc updateView:resultText];
}

-(void)onFailure:(WLFailResponse *)response{
    NSLog(@"Invocation Failure: %@", response);
    NSString *resultText = @"Invocation failure. ";
    
    if ([response responseText] != nil){
        resultText = [resultText stringByAppendingString:[response responseText]];
    }
    [vc updateView:resultText];
}

@end
