/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
 
 //
//  ViewController.m
//  nativeIOSApp
//
//  Created by Shmulik Bardosh on 01/11/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"
#import "MyConnectListener.h"
#import "MyInvokeListener.h"
#import "WLProcedureInvocationData.h"


@interface ViewController ()

@end

@implementation ViewController
@synthesize textView;

- (IBAction)doConnect:(UIButton *)sender {
    [self updateView:@"Initializing..."];
    MyConnectListener *connectListener = [[MyConnectListener alloc] initWithController:self];
    [[WLClient sharedInstance] wlConnectWithDelegate:connectListener];
    [connectListener release];
    
}

- (IBAction)doInvokeProcedure:(UIButton *)sender {
    [self updateView:@"Invoking Procedure..."];
    WLProcedureInvocationData *myInvocationData = [[WLProcedureInvocationData alloc] initWithAdapterName:@"RSSReader" procedureName:@"getFeeds"];
    MyInvokeListener *invokeListener = [[MyInvokeListener alloc] initWithController: self];
    [[WLClient sharedInstance] invokeProcedure:myInvocationData withDelegate:invokeListener];
    [invokeListener release];

}

- (void) updateView:(NSString *)response {
   [textView setText:response]; 
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [self setTextView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}


- (void)dealloc {
    [textView release];
    [super dealloc];
}
@end
